.\"  Copyright (c) 2006  Joey Schulze <joey@infodrom.org>
.\"
.\"  This program is free software; you can redistribute it and/or modify
.\"  it under the terms of the GNU General Public License as published by
.\"  the Free Software Foundation; either version 2 of the License, or
.\"  (at your option) any later version.
.\"
.\"  This program is distributed in the hope that it will be useful,
.\"  but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"  GNU General Public License for more details.
.\"
.\"  You should have received a copy of the GNU General Public License
.\"  along with this program; if not, write to the Free Software
.\"  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.TH DA-BACKUP-manager 8 "21 June 2006" "Debian Administration" ""
.SH NAME
da-backup-manager \- Backup manager
.SH SYNOPSIS
.B da-backup
.RB [ " \-\-help" | "\-h " ]
.RB [ " \-\-simulate" | "\-s " ]
.RB [ " \-\-verbose" | "\-v " ]
.RI [ " conffiles " ]
.SH DESCRIPTION
.B da-backup-manager
is used on .debian.org hosts to maintain backups for the various
services on a dedicated backup server.
Usually the data is pushed from the client over the Internet using
.BR rsync (1)
over 
.BR ssh (1)
to the dedicated backup host.

On the backup host a staging directory for each backup exists from
which the data is synchronised daily to the real backup directory.
Usually the backup host helds several versions for each backup.
.SH OPTIONS
.TP
.B \-\-help
Displays a help screen.
.TP
.B \-\-simulate
Don't actually copy the files from the staging area over but print the
actions the program would take.
.TP
.B \-\-verbose
Increase verbosity.
Two levels or verbosity are supported.
.PP
Configuration files may be specified on the commandline in which case
the configuration directory is not investigated.
.SH "BACKUP CONFIGURATION"
.B da-backup-manager
is controlled via special configuration files in the configuration directory
.IR /etc/da-backup-manager .
Each file in that directory refers to one directory in the staging
area within
.I /srv/backups/da-backup
that that requires maintenance.
Commonly used backup and control files are ignored upon processing.
Each file in this directory may set the following variables.
.TP
.I source
Defines the directory within the staging directory that requires maintenance.
.TP
.I destination
Defines the destination directory within the backup directory in which
the backup is managed.
.TP
.I cycle
Defines the number of backups that should be kept.
.SH FILES
.TP
.I /etc/da-backup-manager
This directory contains configuration for each directory that should
be maintained on the backup server.
.SH "RETURN VALUES"
On success, zero is returned.  On error, 1  is  returned.
.SH "SEE ALSO"
.BR da-backup (8).
